Bug 691773 - Invalid plugins remain in the in-memory cache even after deletion/purge
Invalid plugins remain in the in-memory cache even after deletion/purge
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.0.0.Beta2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-29 09:02 EDT by Jay Shaughnessy
Modified: 2013-09-02 03:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:19:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-03-29 09:02:56 EDT
If you drop a bad plugin jar into ../plugins it will generate server log messages while trying to wait for it to become valid (assuming it's in a mid-copy state). When that times out it throws an exception which bubbles up out of the container. The net effect is that the invalid plugin is still put into the in-mem cache.  With the new delete/purge ability it's possible to get rid of the bad plugin from db and file system, but it remains in the cache and generated verbose logging every minute.

I think either the exception should be caught and the plugin not placed in the cache, or on delete, maybe purge, it should be removed from the cache.

I need someone more familiar to review this, jsanda or mazz.
Comment 1 John Mazzitelli 2011-03-29 09:30:45 EDT
something very recently came up re: the plugin cache in the plugin scanner code - john s. fixed it (about a week or two ago).

we can discuss possible solution
Comment 2 John Mazzitelli 2011-04-01 11:25:37 EDT
john is fixing this
Comment 3 John Sanda 2011-04-05 15:42:25 EDT
I believe this issue is slightly different from bug 683545.
Comment 4 John Sanda 2011-04-18 11:06:20 EDT
Added a finally block to ensure the AgentPluginScanner.scanned list always gets cleared even if ProductPluginDeployer throws an exception when ProductPluginDeployer.pluginDetected() is called.

commit hash: 2378d5452826890b0c62b4b93e95b5c24e276be9
Comment 5 Mike Foley 2011-06-23 14:09:53 EDT
created a "bad" plugin by starting with a "good" plugin and then making the rhq-plugin.xml invalid.  added the plugin.  did not see any residual or invalid plugins in Administration-->plugin.
Comment 6 Heiko W. Rupp 2013-09-02 03:19:09 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.